# ``twisted`.`internet`.`interfaces`.`IReactorUNIXDatagram``

interface documentation

`class IReactorUNIXDatagram(Interface): (source)`

Known implementations: `twisted.internet.posixbase.PosixReactorBase`

View In Hierarchy

Datagram UNIX socket methods.

Method | `connectUNIXDatagram` | Connect a client protocol to a datagram UNIX socket.
Method | `listenUNIXDatagram` | Listen on a datagram UNIX socket.

def connectUNIXDatagram(address, protocol, maxPacketSize, mode, bindAddress): (source)
Connect a client protocol to a datagram UNIX socket.

Parameters
address:`str` | a path to a unix socket on the filesystem.
protocol:`ConnectedDatagramProtocol` | a `twisted.internet.protocol.ConnectedDatagramProtocol` instance
maxPacketSize:`int` | maximum packet size to accept
mode:`int` | The mode (not umask) to set on the unix socket. See platform specific documentation for information about how this might affect connection attempts.
bindAddress:`Optional[Tuple[str, int]]` | address to bind to
Returns
`IConnector` | An object which provides `IConnector`.

def listenUNIXDatagram(address, protocol, maxPacketSize, mode): (source)
Listen on a datagram UNIX socket.

Parameters
address:`str` | a path to a unix socket on the filesystem.
protocol:`DatagramProtocol` | a `twisted.internet.protocol.DatagramProtocol` instance.
maxPacketSize:`int` | maximum packet size to accept
mode:`int` | The mode (not umask) to set on the unix socket. See platform specific documentation for information about how this might affect connection attempts.
Returns
`IListeningPort` | An object which provides `IListeningPort`.